Jump to content

Using The Most Recent Version Of Netty on 1.12 Server


Jmoneybags

Recommended Posts

My server has a problem where after 2-3 hours i get the message 

 

WARNING: Failed to re-register a Channel to the new Selector. java.lang.ClassCastException: io.netty.channel.nio.SelectedSelectionKeySetSelector cannot be cast to java.nio.channels.spi.AbstractSelector at java.nio.channels.spi.AbstractSelectableChannel.register(Unknown Source) at io.netty.channel.nio.NioEventLoop.rebuildSelector0(NioEventLoop.java:347) at io.netty.channel.nio.NioEventLoop.rebuildSelector(NioEventLoop.java:318) at io.netty.channel.nio.NioEventLoop.select(NioEventLoop.java:769) at io.netty.channel.nio.NioEventLoop.run(NioEventLoop.java:388) at io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:858) at java.lang.Thread.run(Unknown Source)

 

and then it proceeds to attempt to migrate channels but no channels are migrated which closes off the ability for people to join the server. I have researched this issue and it appears to be caused by the version of netty that my 1.12 server uses(I have already tried turning off my firewall). How do I make my server use the newest version of netty(I am running a sevtech server)? I have tries things along the lines of 

 

java -d64 -Xms4G -Xmx4G -cp netty-all-4.1.34.Final.jar;forge-1.12.2-14.23.4.2707-universal.jar net.minecraftforge.fml.relauncher.ServerLaunchWrapper libraries/net/minecraft/launchwrapper/1.12/launchwrapper-1.12.jar libraries/org/ow2/asm/asm-all/5.2/asm-all-5.2.jar libraries/org/jline/jline/3.5.1/jline-3.5.1.jar libraries/net/java/dev/jna/jna/4.4.0/jna-4.4.0.jar libraries/com/typesafe/akka/akka-actor_2.11/2.3.3/akka-actor_2.11-2.3.3.jar libraries/com/typesafe/config/1.2.1/config-1.2.1.jar libraries/org/scala-lang/scala-actors-migration_2.11/1.1.0/scala-actors-migration_2.11-1.1.0.jar libraries/org/scala-lang/scala-compiler/2.11.1/scala-compiler-2.11.1.jar libraries/org/scala-lang/plugins/scala-continuations-library_2.11/1.0.2/scala-continuations-library_2.11-1.0.2.jar libraries/org/scala-lang/plugins/scala-continuations-plugin_2.11.1/1.0.2/scala-continuations-plugin_2.11.1-1.0.2.jar libraries/org/scala-lang/scala-library/2.11.1/scala-library-2.11.1.jar libraries/org/scala-lang/scala-parser-combinators_2.11/1.0.1/scala-parser-combinators_2.11-1.0.1.jar libraries/org/scala-lang/scala-reflect/2.11.1/scala-reflect-2.11.1.jar libraries/org/scala-lang/scala-swing_2.11/1.0.1/scala-swing_2.11-1.0.1.jar libraries/org/scala-lang/scala-xml_2.11/1.0.2/scala-xml_2.11-1.0.2.jar libraries/lzma/lzma/0.0.1/lzma-0.0.1.jar libraries/net/sf/jopt-simple/jopt-simple/5.0.3/jopt-simple-5.0.3.jar libraries/java3d/vecmath/1.5.2/vecmath-1.5.2.jar libraries/net/sf/trove4j/trove4j/3.0.3/trove4j-3.0.3.jar libraries/org/apache/maven/maven-artifact/3.5.3/maven-artifact-3.5.3.jar minecraft_server.1.12.2.jar nogui
pause

from this forum post here however it still gives me the same message from netty saying that channels cannot be switched.

 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Announcements



×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.